#' Tree-ring example proxies 1 from 2015 - 1961
#'
#' A dataset with three tree-ring proxy records from a site near Ljubljana
#' (Slovenia). The first row represents a value of a year in 1961. The three
#' proxy records are MVA (Mean vessel area [mm ^2]), O (stable oxygen isotope
#' ratios) and C (stable carbon isotope ratios)
#'
#' @format A data frame with 55 rows and 3 variables:
#' \describe{
#'   \item{MVA}{Mean vessel area [mm^2] indices from 2015 - 1961}
#'   \item{O}{Stable oxygen isotope ratios from 2015 - 1961}
#'   \item{C}{Stable carbon isotope ratios from 2015 - 1961}
#' }
#' @source prof. dr. Tom Levanic, Slovenian Forestry Institute, Vecna pot 2,
#' Ljubljana, Slovenia
#' @export
"example_proxies_1"
